[PasswordSecurity] Update version zxcvbn library and return reason weak passwords.

Forge Component
(0)
Published on 2019-02-27 by João Almeida
0 votes
Published on 2019-02-27 by João Almeida

Hi there,

I would like to say that the component works great. But we have some issues.

Could it be possible to update the zxcvbn library?

Is is also possible to add the reason why whe password is to weak as an output. For example, when the user forgets to ad a special character.


Thanks in advance,


Joris

Joris Deckers wrote:

Hi there,

I would like to say that the component works great. But we have some issues.

Could it be possible to update the zxcvbn library?

Is is also possible to add the reason why whe password is to weak as an output. For example, when the user forgets to ad a special character.


Thanks in advance,


Joris

 Hi Joris!

We're upgrading some of our components and we'll be upgrading this one to a more P11 approach real soon.

  • When you say update the zxcvbn library what do you mean? Updating the containing package? If so, we're already using the latest version of zxcvbn, which hasn't had release lately. So moving to another one might be an option, but isn't as simple as updating the NuGet package.
  • We can try adding further detail on the password strength messages, but the component relies on on external libraries to calculate password, so we can only go that far.